summaryrefslogtreecommitdiffstats
path: root/debian/wide-dhcpv6-server.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:43:03 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:43:03 +0000
commitf504d0d8a469f3f913a853e97020112fcf262c1b (patch)
tree25a4b573f8fc510c99d931a382598bee699a215c /debian/wide-dhcpv6-server.postinst
parentAdding upstream version 20080615. (diff)
downloadwide-dhcpv6-f504d0d8a469f3f913a853e97020112fcf262c1b.tar.xz
wide-dhcpv6-f504d0d8a469f3f913a853e97020112fcf262c1b.zip
Adding debian version 20080615-23.debian/20080615-23debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/wide-dhcpv6-server.postinst')
-rw-r--r--debian/wide-dhcpv6-server.postinst53
1 files changed, 53 insertions, 0 deletions
diff --git a/debian/wide-dhcpv6-server.postinst b/debian/wide-dhcpv6-server.postinst
new file mode 100644
index 0000000..6e12c23
--- /dev/null
+++ b/debian/wide-dhcpv6-server.postinst
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure|reconfigure)
+ # continue
+ ;;
+ abort-upgrade|abort-remove|abort-deconfigure)
+ exit 0
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+# debconf
+. /usr/share/debconf/confmodule
+
+INITCONFFILE=/etc/default/wide-dhcpv6-server
+[ -f ${INITCONFFILE} ] &&
+ VERBOSE=$(grep ^VERBOSE ${INITCONFFILE}|sed -e 's:^VERBOSE=\(.*\):\1:')
+
+echo "Generating ${INITCONFFILE}..." >&2
+cat >$INITCONFFILE <<'EOFINITCONFFILE'
+# Defaults for dhcpv6 server initscript
+# Used by /etc/init.d/wide-dhcpv6-server
+
+# Interfaces on which the server should serve DHCPv6 requests. If empty, the
+# server is deactivated.
+INTERFACES=""
+
+# Verbose level for syslog. Default is 0 (0: minimal; 1: info; 2: debug)
+#VERBOSE=0
+EOFINITCONFFILE
+[ -n "$VERBOSE" ] && echo VERBOSE=${VERBOSE} >> ${INITCONFFILE}
+
+# Debconf
+db_get wide-dhcpv6-server/interfaces || true
+INTERFACES=${RET}
+
+TMPFILE=`mktemp -q ${INITCONFFILE}.new.XXXXXX`
+sed -e "s,^[[:space:]]*INTERFACES[[:space:]]*=.*,INTERFACES=\"${INTERFACES}\"," \
+ <${INITCONFFILE} >${TMPFILE}
+cp ${TMPFILE} ${INITCONFFILE}
+rm ${TMPFILE}
+
+db_stop
+
+#DEBHELPER#
+
+exit 0